Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1246842 - python3-blivet 1.10 pulls in X stack
python3-blivet 1.10 pulls in X stack
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11MinimalPlatform
  Show dependency treegraph
 
Reported: 2015-07-26 06:24 EDT by Peter Robinson
Modified: 2015-08-27 13:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 23.19.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 13:58:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-07-26 06:24:52 EDT
The latest blivet 1.10 pulls in huge extra dependencies not used in server/cloud/minimal installs

$ dnf upgrade --nogpg python3-blivet
Last metadata expiration check performed 1:02:36 ago on Sun Jul 26 05:17:16 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                  Arch                                     Version                                                           Repository                               Size
===================================================================================================================================================================================================================
Installing:
 aajohan-comfortaa-fonts                                  noarch                                   2.004-5.fc23                                                      fedora                                  151 k
 cairo                                                    armv7hl                                  1.14.2-2.fc23                                                     fedora                                  629 k
 cairo-gobject                                            armv7hl                                  1.14.2-2.fc23                                                     fedora                                   29 k
 fontconfig                                               armv7hl                                  2.11.94-2.fc23                                                    fedora                                  226 k
 fontpackages-filesystem                                  noarch                                   1.44-13.fc23                                                      fedora                                   15 k
 freetype                                                 armv7hl                                  2.6.0-2.fc23                                                      fedora                                  363 k
 libX11                                                   armv7hl                                  1.6.3-2.fc23                                                      fedora                                  549 k
 libX11-common                                            noarch                                   1.6.3-2.fc23                                                      fedora                                  166 k
 libXau                                                   armv7hl                                  1.0.8-5.fc23                                                      fedora                                   33 k
 libXdamage                                               armv7hl                                  1.1.4-7.fc23                                                      fedora                                   25 k
 libXext                                                  armv7hl                                  1.3.3-3.fc23                                                      fedora                                   38 k
 libXfixes                                                armv7hl                                  5.0.1-5.fc23                                                      fedora                                   21 k
 libXrender                                               armv7hl                                  0.9.9-2.fc23                                                      fedora                                   28 k
 libXxf86vm                                               armv7hl                                  1.1.4-2.fc23                                                      fedora                                   21 k
 libpng                                                   armv7hl                                  2:1.6.17-2.fc23                                                   fedora                                  105 k
 libwayland-client                                        armv7hl                                  1.8.0-1.fc23                                                      fedora                                   28 k
 libwayland-server                                        armv7hl                                  1.8.0-1.fc23                                                      fedora                                   32 k
 libxcb                                                   armv7hl                                  1.11-8.fc23                                                       fedora                                  177 k
 libxshmfence                                             armv7hl                                  1.2-2.fc23                                                        fedora                                   11 k
 mesa-libEGL                                              armv7hl                                  10.7.0-0.devel.4.ea633db.fc23                                     fedora                                   87 k
 mesa-libGL                                               armv7hl                                  10.7.0-0.devel.4.ea633db.fc23                                     fedora                                  181 k
 mesa-libgbm                                              armv7hl                                  10.7.0-0.devel.4.ea633db.fc23                                     fedora                                   53 k
 mesa-libglapi                                            armv7hl                                  10.7.0-0.devel.4.ea633db.fc23                                     fedora                                   66 k
 pixman                                                   armv7hl                                  0.32.6-6.fc23                                                     fedora                                  185 k
 python3-cairo                                            armv7hl                                  1.10.0-12.fc23                                                    fedora                                  499 k
 python3-gobject                                          armv7hl                                  3.17.1-3.fc23                                                     fedora                                   20 k
Upgrading:
 python3-blivet                                           noarch                                   1:1.10-1.fc23                                                     fedora                                  737 k

Transaction Summary
===================================================================================================================================================================================================================
Install  26 Packages
Upgrade   1 Package

Total download size: 4.4 M
Is this ok [y/N]:
Comment 1 Peter Robinson 2015-07-30 07:53:44 EDT
When is 1.11 going to be pushed to build?
Comment 2 Brian Lane 2015-07-30 18:41:06 EDT
(In reply to Peter Robinson from comment #1)
> When is 1.11 going to be pushed to build?

Tomorrow.
Comment 3 Peter Robinson 2015-08-05 12:50:46 EDT
Any update on when this is going out?
Comment 4 David Shea 2015-08-05 12:54:40 EDT
(In reply to Peter Robinson from comment #3)
> Any update on when this is going out?

http://koji.fedoraproject.org/koji/buildinfo?buildID=675165
http://koji.fedoraproject.org/koji/buildinfo?buildID=674735

As far when it'll be in the F23 repos, probably not until post-freeze
Comment 5 Peter Robinson 2015-08-05 13:01:48 EDT
(In reply to David Shea from comment #4)
> (In reply to Peter Robinson from comment #3)
> > Any update on when this is going out?
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=675165
> http://koji.fedoraproject.org/koji/buildinfo?buildID=674735
> 
> As far when it'll be in the F23 repos, probably not until post-freeze

It needs to be submitted as a bodhi update for it to land in F-23, I don't see it there:

https://admin.fedoraproject.org/updates/search/python-blivet
Comment 6 Fedora Update System 2015-08-07 09:44:07 EDT
python-blivet-1.11-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-blivet-1.11-1.fc23
Comment 7 Fedora Update System 2015-08-07 20:56:15 EDT
python-blivet-1.12-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-blivet-1.12-1.fc23
Comment 8 Fedora Update System 2015-08-08 12:20:38 EDT
Package python-blivet-1.12-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-1.12-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13041/python-blivet-1.12-1.fc23
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-08-20 15:21:13 EDT
anaconda-23.19.1-1.fc23, python-blivet-1.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anaconda python-blivet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/F23/FEDORA-2015-13831
Comment 10 Fedora Update System 2015-08-22 12:25:28 EDT
anaconda-23.19.1-1.fc23, python-blivet-1.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update anaconda python-blivet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13831
Comment 11 Fedora Update System 2015-08-27 13:58:20 EDT
anaconda-23.19.1-1.fc23, python-blivet-1.12.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.